MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002455VCMIAI - Adventure Mappublic2016-08-12 07:292016-08-23 03:49
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002455: VCAI: Freeze on attempt to move artifact locks
DescriptionAI trying to move artifact locks and freeze in process.
TagsNo tags attached.
Attached Fileszip file icon AIstuck_moveArtifactLocks.zip [^] (1,299,944 bytes) 2016-08-12 07:29

- Relationships
related to 0002458assignedWarmonger Artifacts from log might have id of ArtifactID::ART_LOCK (145) 
related to 0002461resolvedSXX VCAI: Infinite loop when attempt to compare and exchange artifacts 

-  Notes
(0006565)
SXX (administrator)
2016-08-18 02:43

Okay I find out why is this occur probably. Problem is that artifacts that loaded from mods might use id of 145 which actually mean ArtifactID::ART_LOCK.

So server see this and think AI trying to move lock...
(0006566)
SXX (administrator)
2016-08-18 04:00

So here is the fix:

https://github.com/vcmi/vcmi/commit/39fe9472b60d05401aa2889d4698bac2c74a9c6b [^]

Problem with id conflict still need attention so I added separate bug.

- Issue History
Date Modified Username Field Change
2016-08-12 07:29 SXX New Issue
2016-08-12 07:29 SXX Status new => assigned
2016-08-12 07:29 SXX Assigned To => SXX
2016-08-12 07:29 SXX File Added: AIstuck_moveArtifactLocks.zip
2016-08-15 06:44 Warmonger Severity major => crash
2016-08-18 02:43 SXX Note Added: 0006565
2016-08-18 04:00 SXX Note Added: 0006566
2016-08-18 04:01 SXX Relationship added parent of 0002458
2016-08-18 04:01 SXX Relationship deleted parent of 0002458
2016-08-18 04:01 SXX Relationship added related to 0002458
2016-08-18 04:01 SXX Status assigned => resolved
2016-08-18 04:01 SXX Fixed in Version => 0.99
2016-08-18 04:01 SXX Resolution open => fixed
2016-08-23 03:49 SXX Relationship added related to 0002461

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean